%define name ttf-arphic_bming
%define filename bsmi00lp.ttf
%define encoding big5
%define obsolete ttf-moe_sung
Summary: Arphic TrueType Font -- Big5 ming face
Name: %{name}
Version: 2.11
Release: 2tc1

Copyright: Arphic Public License (GPL-like)
Group: User Interface/X
Packager: Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor: Red Hat, Inc.
Source: ftp://cle.linux.org.tw/pub/fonts/arphic/font/%{filename}
Source1: arphicpl.txt
Source2: arphicpl-big5.txt
Source3: arphic-release.txt
Provides: ttf-%{encoding}
#Requires: ttfm
Obsoletes: %{obsolete}
Buildroot: /var/tmp/%{name}-root
BuildArchitectures: noarch        
PreReq: ttfm

%description
Chinese TTF Fonts donated by Arphic company.
Read the Arphic Public License for details.

%description -l zh_TW
幩ީҮت TrueType rC\ۥѽƻsAקAyǡC
Ӹ`аѦҤ幩vѪC

%prep
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/ttf
mkdir -p $RPM_BUILD_ROOT%{_docdir}/ttf-arphic

%install
cp -pf %{SOURCE0} $RPM_BUILD_ROOT/usr/share/fonts/ttf
cp -pf %{SOURCE1} $RPM_BUILD_ROOT%{_docdir}/ttf-arphic
cp -pf %{SOURCE2} $RPM_BUILD_ROOT%{_docdir}/ttf-arphic
cp -pf %{SOURCE3} $RPM_BUILD_ROOT%{_docdir}/ttf-arphic/release.txt

%post
[ "$1" = 1 -a -x /usr/sbin/ttfm.sh ] && {
    /usr/sbin/ttfm.sh --add /usr/share/fonts/ttf/%{filename} > /dev/null 2>&1
  # Yes, set the default font to ming. I like ming...:p
    /usr/sbin/ttfm.sh --setdefault xttfm %{filename}
}
exit 0

%preun
[ "$1" = 0 -a -x /usr/sbin/ttfm.sh ] && \
    KEEP_FONT=1 /usr/sbin/ttfm.sh --remove %{filename} > /dev/null 2>&1
# make sure the script always success
exit 0

%files
%attr(0644, root, root) /usr/share/fonts/ttf/%{filename}
%attr(0755, root, root) %docdir %{_docdir}/ttf-arphic
%attr(-, root, root) %{_docdir}/ttf-arphic

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 14 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- update 2.11

* Wed Jan 12 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- add PreReq to fix default font problem

* Wed Jan 05 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- change the license to docdir by using %docdir directive
- fix bug in %post and %preun script

* Tue Jan 04 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- first release
